<?php

/*

   設定ファイル

*/

// recfriio server を設置したディレクトリ
define( 'HOME', '/var/www/recfriio/' );

// 録画ファイル保存先
define( 'SPOOL_DIRECTORY', '/tmp' );

// recfriio までのフルパス
define( 'RECFRIIO', '/usr/bin/recfriio' );

// recfrio のオプション
define( 'FRIIOOPT', '--hdus --b25' );



//////////////////////
// 以下の項目は必要に応じて設定

// デバッグ表示を行うときは"1"を入れる
define( '_DEBUG', 0 );

// チャンネルテーブル
require('config-channelmap.php');
global $CHANNEL_TABLE;
$CHANNEL_TABLE = $CHANNEL;

// 録画スクリプト名
define( 'RECORD_SCRIPT', 'do-record.sh' );

// 録画設定ファイル名
define( 'SETTINGFILE', 'setting.csv' );

// 録画予約ファイル名
define( 'RESERVFILE', 'reserv.csv' );

// 実行中のrecfriioの状態を記録するファイル
define( 'STATUSFILE', 'status.csv' );

// crontab 登録用ファイル
define( 'CRONTABFILE', 'crontab.txt' );

// ログファイル名
define( 'LOGFILE', 'log.txt' );

// ファイルロック用ディレクトリ
define( 'LOCKDIR', 'lock' );

// LOCKDIR が LOCKTIMEOUT 秒間消えなかったら LOCKDIR を削除する
define( 'LOCKTIMEOUT', '10' );

// recfriioの起動、停止直後に入れるウェイト秒数
// サーバの性能により調節する
define( 'WAITTIME', 1 );

// 予約録画を約 MARGINSEC 秒前に始める ( 0 から 60 )
define( 'MARGINSEC', '15' );

// 動作状況の更新間隔(秒)
define( 'REFRESH', 10 );

// 作業ディレクトリ
// HOMEの下に作成する。 apacheから書き込みできるようにパーミッションを設定すること
define( 'VARDIR', 'var' );

// 最大設定数
define( 'MAXSETTING', 5 );

// 最大録画予約数
define( 'MAXRESERV', 100 );

// 動作状況の最大表示数
define( 'MAXSTATUS', 10 );

// 保存ファイルの拡張子
define( 'FILEEXT', '.ts' );

// kill コマンド
define( 'KILLCMD', 'kill -INT' );

// wget コマンド
define( 'WGET', 'wget' );

// wget のオプション
define( 'WGETOPT', '-T 30 -t 1 -O -' );

?>
