<?php

/*

    do-record.sh の中からwgetで呼び出されて recfriio の動作状況を保存する

*/

require_once( 'include.php' );

$errmsg = '';

lock();

$id = 0;
if( isset( $_GET[ 'id' ] ) ) $id = $_GET[ 'id' ];

$pid = 0;
if( isset( $_GET[ 'pid' ] ) ) $pid = $_GET[ 'pid' ];

$devnull = 0;
if( isset( $_GET[ 'devnull' ] ) ) $devnull = $_GET[ 'devnull' ];

$operate = OP_NONE;
if( isset( $_GET[ 'prep' ] ) ) $operate = OP_PREP;
else if( isset( $_GET[ 'rec' ] ) ) $operate = OP_REC;
else if( isset( $_GET[ 'stop' ] ) ) $operate = OP_STOP;

$ch = '';
$name = '';
$is_reserv = FALSE; // 予約録画か

try{

    $statusfile = get_vardir().STATUSFILE;
    $status_array = array();
    if( file_exists( $statusfile ) ) read_csv( $statusfile, $status_array );

    $setting = get_setting_by_id( $id, get_vardir().SETTINGFILE );
    if( ! $setting ){
         $is_reserv = TRUE;
         $setting = get_setting_by_id( $id, get_vardir().RESERVFILE );
    }
    if( ! $setting ) throw new Exception( 'ID='.$id.'の録画設定が見つかりません' );

    $ch = $setting[ SET_CHANNEL ];
    $name = $setting[ SET_NAMEBASE ];

    // 録画準備
    if( $operate == OP_PREP ){
    }

    // 録画開始
    if( $operate == OP_REC ){

        // 録画情報を保存
        $status = get_default_status();
        $status[ ID ] = $id;
        $status[ PID ] = $pid;
        $status[ CHANNEL ] = $setting[ SET_CHANNEL ];
        $status[ STARTTIME ] = time();
        $status[ DURATION ] = $setting[ SET_DURATION ];
        if( $setting[ SET_SLEEPSEC ] ) $status[ DURATION ] += ( 60 - $setting[ SET_SLEEPSEC ] );
        $status[ OUTDIR ] = $setting[ SET_OUTDIR ];

        if( ! $devnull ) $status[ NAMEBASE ] = $setting[ SET_NAMEBASE ];
        else $status[ NAMEBASE ] = '-';

        $status[ UDP ] = $setting[ SET_UDP ];
        $status[ IP ] = $setting[ SET_IP ];
        $status[ PORT ] = $setting[ SET_PORT ];

        $status_array[] = $status;
        save_csv( $statusfile, $status_array );
    }

    // 録画完了
    if( $operate == OP_STOP ){

        // 動いていない recfriio の録画情報を消す
        $flag = TRUE;
        while( $flag ){

            $flag = FALSE;
            for( $i = 0; $i < count( $status_array ); ++$i ){

                if( ! is_running( $status_array[ $i ][ PID ] ) ){

                    array_splice( $status_array, $i, 1 );

                    $flag = TRUE;
                    break;
                }
            }
        }

        if( ! count( $status_array ) ) unlink( $statusfile );
        else save_csv( $statusfile, $status_array );
    }

}
catch( Exception $e ){ $errmsg = $e->getMessage(); }


// ログ保存
// 予約録画の時だけログを残す
if( $errmsg || ( $is_reserv && $operate != OP_NONE ) ){

    $log = 'id='.$id.', ch='.$ch.', name='.$name.' , '.$operate;
    if( $errmsg ) $log = $log.' , '.$errmsg;

    write_log( $log );
}

print( 'ok' );

unlock();

?>
