<?php

  /*

    本体

  */

require_once( 'include.php' );

// クッキーを見てパネルを開閉する
$show_main = 'on';
$show_reserv = 'off';
$show_status = 'on';
if( isset( $_COOKIE[ 'main' ] ) ) $show_main = $_COOKIE[ 'main' ];
if( isset( $_COOKIE[ 'reserv' ] ) ) $show_reserv = $_COOKIE[ 'reserv' ];
if( isset( $_COOKIE[ 'status' ] ) ) $show_status = $_COOKIE[ 'status' ];

show_debug( 'main = '.$show_main );
show_debug( 'reserv = '.$show_reserv );
show_debug( 'status = '.$show_status );


// 録画設定の読み込みと更新
$errmsg = '';

try{

    $opnumber = -1;
    $operate = get_operate( $opnumber, MAXSETTING );
    if( $operate != OP_REC && $operate != OP_PLAY && $operate != OP_SAVE ){
        $operate = OP_NONE;
        $opnumber = -1;
    }

    // $opnumber がPOSTで送られてきた番号で、$settingno が録画設定の番号
    // この場合は同じ値になる
    $settingno = $opnumber; 

    $settingfile = get_vardir().SETTINGFILE;
    $setting_array = array();
    if( file_exists( $settingfile  ) ) read_csv( $settingfile, $setting_array );

    if( update_setting( $setting_array, $operate, MAXSETTING ) ){

        save_csv( $settingfile, $setting_array );
    }

    // 録画スクリプト実行
    if( $operate == OP_REC || $operate == OP_PLAY ){

        exec_recfriio( $operate, $setting_array[ $settingno ] );
    }
}
catch( Exception $e ){ $errmsg = $e->getMessage(); }


// 予約設定の読み込みと更新
$errmsg_reserv = '';

try{

    $opnumber_reserv = -1;
    $operate_reserv = get_operate( $opnumber_reserv, 1 );
    if( $operate_reserv != OP_UPDATE && $operate_reserv != OP_DEL ){
        $operate_reserv = OP_NONE;
        $opnumber_reserv = -1;
    }

    $reservfile = get_vardir().RESERVFILE;
    $reserv_array = array();
    if( file_exists( $reservfile ) ) read_csv( $reservfile, $reserv_array );

    if( update_reserv( $reserv_array, $operate_reserv, $opnumber_reserv ) ){

        if( count( $reserv_array ) ) save_csv( $reservfile, $reserv_array );
        else unlink( $reservfile );
    }

    // crontab 登録
    if( $operate_reserv == OP_UPDATE || $operate_reserv == OP_DEL ){

        regist_crontab( $reserv_array );
    }
}
catch( Exception $e ){ $errmsg_reserv = $e->getMessage(); }


// 予約エラーの場合は crontab をクリアする
if( $errmsg_reserv ){

    try{
        $reserv_array_tmp = array();
        regist_crontab( $reserv_array_tmp );
    }
    catch( Exception $e ){ $errmsg_reserv = $e->getMessage(); }
}


///////////////////////////////////////////////


// 表示

show_header();

// バークリックでパネル開閉
print(
    '<script language="JavaScript">'.
    "<!--\n".

    'function show_div( ID ){'.
    '    if( document.getElementById( ID ).style.display == "block" ){'.
    '        document.getElementById( ID ).style.display = "none";'.
    '        document.getElementById( "toggle"+ID ).innerHTML = "▼";'.
    '        document.cookie = ID+"=off;";'.
    '    }'.
    '    else{'.
    '        document.getElementById( ID ).style.display = "block";'.
    '        document.getElementById( "toggle"+ID ).innerHTML = "▲";'.
    '        document.cookie = ID+"=on;";'.
    '    }'.
    '}'.

    'function show_main(){ show_div( "main" ); }'.
    'function show_reserv(){ show_div( "reserv" ); }'.
    'function show_status(){ show_div( "status" ); }'.

    '//-->'.
    '</script>'
);

show_menu();


// 操作画面

print(

    '<div class="title" onclick="show_main()" ><div class="name">操作</div><div class="toggle" id="togglemain" >'.
    ( $show_main == 'on' ? "▲" : "▼" ).'</div></div>'.
    '<div id="main" style="display:'.( $show_main == 'on' ? "block" : "none" ).'" >'.

    '<form action="./recfriio.php" method="post">'
    );

show_settingtable( $setting_array, 0, MAXSETTING-1 );

print( 
    '<input type="submit" name="save" value="全て保存">'.
    '</form>'.
    '<br />'
    );

show_err( $errmsg );
print( '</div>' );


// 録画予約画面

print(
    '<div class="title" onclick="show_reserv()" ><div class="name">録画予約</div><div class="toggle" id="togglereserv" >'.
    ( $show_reserv == 'on' ? "▲" : "▼" ).'</div></div>'.

    '<div id="reserv" style="display:'.( $show_reserv == 'on' ? "block" : "none" ).'" >'.
    '<form action="./reserv.php" method="post">'
    );

show_reservtable( $reserv_array, 0, count( $reserv_array )-1 );

print( 
    '<input type="submit" name="edit'.( count( $reserv_array ) + 1 ).'" value="追加">'.
    '</form>'. 
    '<br />'
    );

show_err( $errmsg_reserv );
print( '</div>' );


// ステータス画面

print(
    '<div class="title" onclick="show_status()" ><div class="name">動作状況</div><div class="toggle" id="togglestatus" >'.
    ( $show_status == 'on' ? "▲" : "▼" ).'</div></div>'.
    '<div id="status" style="display:'.( $show_status == 'on' ? "block" : "none" ).'" >'.

    '<iframe src="status.php" width="100%" height="200px" frameborder="0" marginwidth="0" marginheight="0" >'.
    'お使いのブラウザでは動作状況を表示出来ません。'.
    '</iframe>'.
    '</div>'
    );

show_footer();

?>
