<?php

/*

    録画予約の削除確認、編集、追加画面

*/

require_once( 'include.php' );
$errmsg = '';

// 操作取得
$opnumber = -1;
$operate = get_operate( $opnumber, MAXRESERV );

show_header();

try{

    $id = 0;
    if( isset( $_POST[ 'id'.$opnumber ] ) ) $id = $_POST[ 'id'.$opnumber ];
    show_debug( 'id = '.$id );

    $setting = get_setting_by_id( $id, get_vardir().RESERVFILE );
    if( $id && ! $setting ){
        throw new Exception( 'エラー(reserv) : 既に削除されています。' );
    }

    $settingno = 0; // ダミー番号

    /////////////////////////////////
    // 削除確認
    if( $operate == OP_DEL ){

        print(
            '<div class="title">予約情報削除確認</div>'.
            '<form action="recfriio.php" method="post">'
        );

        show_reservedit( $settingno, $setting, TRUE );

        print(
            '<input type="hidden" name="id'.$settingno.'" value="'.$setting[ SET_ID ].'">'.
            '以上の設定を削除しますか？ <input type="submit" name="del'.$settingno.'" value="削除">'.
            ' <input type="submit" name="cancel" value="キャンセル">'.
            '</form>' 
            );
    }

    /////////////////////////////////
    // 編集、追加
    else if( $operate == OP_EDIT ){

        $new = FALSE;

        // 新規追加
        if( ! $setting ){
            $setting = get_default_setting();
            $setting[ SET_SLEEPSEC ] = 60 - MARGINSEC;
            $new = TRUE;
        }

        print(
            '<div class="title">予約情報'.( $new ? '追加' : '編集' ).'</div>'.
            '<form action="recfriio.php" method="post">'
        );

        show_reservedit( $settingno, $setting, FALSE );

        print(
            '<input type="hidden" name="id'.$settingno.'" value="'.$setting[ SET_ID ].'">'.
            '<input type="submit" name="update'.$settingno.'" value="'.( $new ? '追加' : '更新' ).'">'.
            ' <input type="submit" name="cancel" value="キャンセル">'.
            '</form>'
        );
    }
}
catch( Exception $e ){ $errmsg = $e->getMessage(); }

// エラー表示
show_err( $errmsg );
if( $errmsg ){
    print(
        '<form action="recfriio.php" method="post">'.
        ' <input type="submit" name="cancel" value="戻る">'.
        '</form>'
        );
}

show_footer();

?>

